#!/usr/bin/php -q
<?php

require('script-init.php');

global $WSW4DB;

$ids = array(
11975,
11977,
11978,
11979,
11980,
11981,
11982,
11983,
11984,
11985,
11986,
11987,
11989,
11990,
11991,
11992,
11993,
11994,
11995,
11996,
11997,
11998,
11999,
12000,
12001,
12003,
12004,
12005,
12006,
12007,
12008,
12009,
12010,
12011,
12012,
12013,
12014,
12015,
12018,
12019,
12020,
12021,
12022,
12026,
12027,
12028,
12029,
12030,
12031,
12032,
12033,
12034,
12035,
12036,
12038,
12039,
12040,
12041,
12042,
12043,
12044,
12045,
12046,
12047,
12048,
12049,
12050,
12051,
12052,
12053,
12054,
12055,
12056,
12057,
12058,
12059,
12060,
12061,
12062,
12063,
12064,
12065,
12066,
12067,
12080,
12081,
12082,
12083,
12084,
12085,
12086,
12087,
12088,
12089,
12090,
12091,
12092,
12093,
12094,
12095,
12096,
12097,
12098,
12100,
12101,
12102,
12103,
12104,
12105,
12106,
12107,
12108,
12109,
12111,
12112,
12113,
12115,
12116,
12117,
12118,
12119,
12120,
12121,
12122,
12123,
12124,
12125,
12126,
12127,
12128,
12129,
12130,
12132,
12133,
12134,
12135,
12136,
12137,
12138,
12139,
12140,
12141,
12142,
12143,
12144,
12145,
12146,
12147,
12148,
12149,
12150,
12151,
12152,
12153,
12154,
12155,
12156,
12157,
12158,
12159,
12160,
12161,
12162,
12163,
12164,
12165,
12166,
12167,
12168,
12169,
12170,
12171,
12172,
12173,
12174,
12175,
12176,
12177,
12178,
12179,
12180,
12181,
12182,
12183,
12184,
12189,
12190,
12191,
12192,
12193,
12194,
12195,
12196,
12197,
12198,
12199,
12200,
12201,
12202,
12203,
12204,
12205,
12206,
12207,
12208,
12209,
12210,
12211,
12212,
12213,
12214,
12215,
12216,
12217,
12220,
12221,
12222,
12223,
12224,
12225,
12226,
12227,
12228,
12229,
12230,
12231,
12232,
12233,
12234,
12235,
12236,
12237,
12238,
12239,
12240,
12241,
12242,
12243,
12244,
12245,
12246,
12247,
12248,
12249,
12250,
12251,
12252,
12253,
12254,
12255,
12256,
12257,
12258,
12259,
12260,
12261,
12262,
12263,
12264,
12265,
12266,
12267,
12268,
12269,
12271,
12272,
12273,
12276,
12277,
12278,
12279,
12280,
12281,
12282,
12283,
12284,
12286,
12287,
12288,
12289,
12290,
12291,
12292,
12293,
12294,
12295,
12296,
12297,
12298,
12299,
12300,
12301,
12302,
12303,
12304,
12305,
12306,
12307,
12308,
12309,
12310,
12311,
12312,
12313,
12314,
12315,
12316,
12317,
12318,
12319,
12321,
12322,
12323,
12324,
12325,
12326,
12327,
12328,
12329,
12330,
12331,
12332,
12333,
12334,
12335,
12336,
12337,
12338,
12339,
12340,
12341,
12342,
12343,
12344,
12345,
12346,
12347,
12348,
12349,
12350,
12351,
12352,
12353,
12354,
12355,
12356,
12357,
12358,
12359,
12360,
12361,
12362,
12363,
12364,
12365,
12366,
12367,
12368,
12369,
12370,
12371,
12372,
12373,
12374,
12375,
12376,
12377,
12378,
12379,
12380,
12381,
12382,
12383,
12384,
12385,
12386,
12387,
12388,
12389,
12390,
12391,
12392,
12393,
12394,
12395,
12396,
12397,
12398,
12399,
12400,
12401,
12402,
12403,
12404,
12405,
12406,
12407,
12408,
12409,
12410,
12411,
12412,
12413,
12414,
12415,
12416,
12417,
12418,
12419,
12420,
12421,
12422,
12423,
12424,
12425,
12426,
12427,
12428,
12429,
12430,
12431,
12432,
12433,
12434,
12435,
12436,
12437,
12438,
12439,
12440,
12441,
12442,
12443,
12444,
12445,
12446,
12447,
12448,
12449,
12450,
12451,
12452,
12453,
12454,
12455,
12458,
12459,
12460,
12461,
12462,
12463,
12464,
12465,
12466,
12467,
12468,
12469,
12470,
12471,
12472,
12473,
12474,
12475,
12476,
12477,
12478,
12479,
12480,
12481,
12482,
12483,
12484,
12485,
12486,
12487,
12488,
12489,
12490,
12491,
12492,
12493,
12494,
12495,
12496,
12497,
12498,
12499,
12500);

foreach ($ids as $lid_id) {
	$lid = Lid::geef($lid_id);
	if (!$lid) {
		echo "lid #" . $lid_id . " bestaat (nog) niet!\n";
		continue;
	}
	$vandatum = $lid->getLidVan();
	if ($vandatum->strftime("%Y-%m-%d") == "2015-08-31") {
		echo $lid->getNaam() . " (" . $lid_id . ") fixen...";
		$lid->setLidVan("2016-09-05");
		echo " datum is nu " . $lid->getLidVan()->strftime("%Y-%m-%d") . "...";
		if (!$lid->getDirty()) {
			echo " lid is nog schoon dus opslaan heeft geen zin!";
		} else {
			$lid->opslaan();
			echo " opgeslagen!";
		}
	} else {
		echo $lid->getNaam() . " (" . $lid_id . ") is al goed, profit!";
	}
	echo "\n";
}
